/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.RepartoEmpaque;

import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface RepartoEmpaqueFacadeLocal {

    void create(RepartoEmpaque repartoEmpaque);

    void edit(RepartoEmpaque repartoEmpaque);

    void remove(RepartoEmpaque repartoEmpaque);

    RepartoEmpaque find(Object id);

    List<RepartoEmpaque> findAll();

    List<RepartoEmpaque> findRange(int[] range);

    int count();

    RepartoEmpaque busquedaEtiqueta(String consultorCodigo, String programaCodigo);

}
